
extern

//===== types

boolean is_array(var a)


//===== array

boolean in_array(var, array)
boolean in_sequence(string, string)


var reset(array)
var next(array)
var prev(array)
var end(array)
text key(array )
var current(array )

void store(array, string)
dict get_meta_tags(string)

//===== text

text strval(var)

char *strtoupper(string)
char *strtolower(string)
int  strcasecmp(string, string)
array explode(string , string)
cstring str_replace(string, string, string)
cstring strtr(string, string, string)
cstring strstr(string, string)
cstring stristr(string, string)
cstring strchr(cstring, byte)
cstring strrchr(cstring, byte)
int strpos(string, string, int)
cstring rtrim(string)
cstring ltrim(string)
cstring trim(string)
cstring chop(string)
text str_pad(string, int, string = " ", int = 1)
cstring str_repeat(string, int)
int substr_count(string, string)
cstring substr_replace(string, string, int, int)
cstring ucfirst(string)
cstring ucwords(string)
cstring wordwrap(string, int, string);


//===== file

file fopen(string, string)
void fseek(file, int)
void fputs(string)
text fgets(file)
text fread(file, int size)
int  fwrite(file, string)

void gets(string)

int binOpen(cstring, cstring)
cstring binRead(int, int)
int binWrite(int, cstring, int)
int binClose(int)

//===== dir

int  filemtime(string)
const cstring date(string, int)
text type(cstring)

/extern


enum STR_PAD_LEFT, STR_PAD_RIGHT, STR_PAD_BOTH
enum IMG_GIF, IMG_JPG:2, IMG_PNG:4, IMG_WBMP:8
